package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationCompanyCipD;
import com.artfess.cqlt.model.QfOperationCompanyCipM;

import java.util.List;

/**
 * 运营--持续改进数据-分公司填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-21
 */
public interface QfOperationCompanyCipMManager extends BaseManager<QfOperationCompanyCipM> {

    boolean insertInfo(QfOperationCompanyCipM t);

    boolean updateInfo(QfOperationCompanyCipM t);

    boolean updateStatus(QfOperationCompanyCipM t);

    boolean importExcel(List<QfOperationCompanyCipD> list, String mainId);
}
